/*
 * Licensed Materials - Property of IBM
 * com.ibm.ws.ast.samples
 *  Copyright IBM Corporation 2010. All Rights Reserved.
 * U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 * Use restricted, please refer to the "Samples Gallery" terms and conditions in the IBM International Program License Agreement.   
 */
package bigbank.accountdata;


/**
 * Account data service implementation
 */
public class AccountDataServiceImpl implements AccountDataService {

	public CheckingAccount getCheckingAccount(String customerID) {

		CheckingAccount checkingAccount = new CheckingAccount();
		checkingAccount.setAccountNumber(customerID+"_"+"CHA12345");
		checkingAccount.setBalance(1500.0f);

		return checkingAccount;
	}

	public SavingsAccount getSavingsAccount(String customerID) {

		SavingsAccount savingsAccount = new SavingsAccount();
		savingsAccount.setAccountNumber(customerID+"_"+"SAA12345");
		savingsAccount.setBalance(1500.0f);

		return savingsAccount;
	}

	public StockAccount getStockAccount(String customerID) {

		StockAccount stockAccount = new StockAccount();
		stockAccount.setAccountNumber(customerID+"_"+"STA12345");
		stockAccount.setSymbol("IBM");
		stockAccount.setQuantity(100);

		return stockAccount;
	}
}
