/*
 * Licensed Materials - Property of IBM
 * com.ibm.ws.ast.samples
 *  Copyright IBM Corporation 2010. All Rights Reserved.
 * U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 * Use restricted, please refer to the "Samples Gallery" terms and conditions in the IBM International Program License Agreement.   
 */
package bigbank.accountdata;

/**
 * An account service implementation for a stock account
 */
public class StockAccount implements Account {
    private String accountNumber;
    private String symbol;
    private int quantity;
    private double balance;

    public String getAccountNumber() { return accountNumber; }
    public void setAccountNumber(String n) { this.accountNumber = n; }

    public double getQuantity() { return quantity; }
    public void setQuantity(int a) { this.quantity = a; }

    public String getSymbol() { return symbol; }
    public void setSymbol(String s) { this.symbol = s; }
    
    public double getBalance() { return balance; }
    public void setBalance(double balance) { this.balance = balance; }

    public String getSummary() { return "ID:" + accountNumber + ", symbol:" + symbol + ", quantity:" + quantity + ", balance:" + balance; }
}
