/*
 * Licensed Materials - Property of IBM
 * com.ibm.ws.ast.samples
 *  Copyright IBM Corporation 2009. All Rights Reserved.
 * U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 * Use restricted, please refer to the "Samples Gallery" terms and conditions in the IBM International Program License Agreement.
 */

/*
 * Created on 23-Apr-04
 *
 */
package adder;

/**
 * @author searle
 */
public class AdderAppClient {

	public static void main(String[] args) {
		int javaResult = AdderJava.add(1,2);
		System.out.println("AdderAppClient: Java adder(1,2)= "+javaResult+" (direct Java call)" ); 
		
		AdderEJBClient ejbClient = new AdderEJBClient();
		int ejbResult = ejbClient.add(11,22);
		System.out.println("AdderAppClient: Addition Session bean adder(11,22)= "+ejbResult+" (via AdderEJBClient)"); 

		ejbClient.jndiAdderTests();
	}
}
